Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 369 - perl-5.004m4-1 fails to work with Tk800.011
Summary: perl-5.004m4-1 fails to work with Tk800.011
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-09 19:16 UTC by J|rgen Christoffel
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-16 22:13:48 UTC


Attachments (Terms of Use)

Description J|rgen Christoffel 1998-12-09 19:16:30 UTC
Perl from package perl-5.004m4-1 as installed under Redhat
5.2 doesn't work with Perl/Tk anymore. I had Perl/Tk800.011
(from CPAN) installed and working under 5.1; after upgrading
to 5.2 even the simplest Perl/Tk program produces an error
referencing an undefined subroutine &main::-1, e.g.

  perl -MTk -e '$mw=MainWindow->new; $fr = $mw->Frame();'
  Undefined subroutine &main::-1 called at -e line 1.

De-installing and re-installing Perl/Tk doesn't help,
switching to a more recent release like Tk800.012 gives
exactly the same error.

A first work around is to re-install the perl version which
was distributed with 5.1.

BTW: perl is at 5.005_02 now and 5.004 seems to be rather
out of date. And perl 5.005_02 works fine with Tk800.011 on
our other, non-Redhat platforms.

Comment 1 David Lawrence 1998-12-09 20:30:59 UTC
We will be updating perl to the latest version with the next release.


Note You need to log in before you can comment on or make changes to this bug.